<?xml version="1.0"?>
<ArrayOfFBEvent xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2023-05-24T20:46:27Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment>Tested with dp 4.1.149 and DP 4.0.793.48044
 
 
 
CSV exports work as expected .. exported data matches Data viewed in datapro</Comment>
    <StatusString>Closed</StatusString>
    <TimeStamp>2023-01-11T22:06:23Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Closed</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2022-11-04T18:39:22Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2022-11-02T18:37:18Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>ReleaseNoted</StatusString>
    <TimeStamp>2022-11-01T19:37:13Z</TimeStamp>
    <ReleaseNote>Addresses an issue exporting to CSV</ReleaseNote>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2022-11-01T19:37:00Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2022-11-01T19:36:09Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>4.0/4.1@47767</Comment>
    <StatusString>Resolved</StatusString>
    <TimeStamp>2022-10-25T20:48:12Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>There's actual two issues packed in this issue.  The first issue is exporting CSV from the files attached to the issue using browse to then export CSV.  The other issue happens in Run Test when you have multiple roi with say a channel in one ROI and a different channel in the second roi.  Prepatch in run test with export as a step in run it would fail to export CSV (iso would work fine).  With the patch both should export.
 
 
 
the fix for the first issue is by just using ReadTestSetup by specifying the dts file rather than trying to parse out the location from the test id. 
 
The second fix was a little more interesting.  the ROI Channel names for CSV is empty, and this matches what's seen on the screen, you can remove rois, but you can't change the channels in the roi in the UI.  To adjust for this if the channel names is blank it doesn't kick out the channel.  There's a caveat here that ordinarily it also kicks out a voltage or a current channel with a squib and kicks out the other channel.  It'll still do that as long as there ARE channel names, but it doesn't do this when there aren't channel names (the code in question relies on channel names being there).  I'm not entirely sure how it ever worked, but maybe we used to let the user download channels?
 
note that other exports besides CSV and ISO may have issues.  some of the patch did not go into 4.1 as it appears 4.1 export is already very different, however it also didn't seem to have the same issue with export of multiple roi in run test that was seen in 4.0</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2022-10-25T20:47:55Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2022-10-25T17:55:20Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Chris Balogh</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2022-10-24T19:50:32Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2022-10-24T16:02:44Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>Attached data set also does not export using 3.3.781.  Possibly due to file name being changed?</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2022-10-24T16:01:26Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment>Export is successful in 3.3.756, according to customer.</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2022-10-24T15:37:30Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2022-10-24T15:35:48Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Jerry Lawrence</User>
    <Comment />
    <StatusString>Opened</StatusString>
    <TimeStamp>2022-10-24T15:35:47Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Opened</Status>
  </FBEvent>
</ArrayOfFBEvent>